# PHTTPIntegerField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPIntegerField:

List of all members.

## Public Member Functions

| PHTTPIntegerField (const char *name, int low, int high, int initVal=0, const char *units=NULL, const char *help=NULL)
| PHTTPIntegerField (const char *name, const char *title, int low, int high, int initVal=0, const char *units=NULL, const char *help=NULL)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual PString | GetValue (PBoolean dflt=false) const
| Get the string value of the field.
virtual void | SetValue (const PString &newVal)
| Set the value of the field.
virtual void | LoadFromConfig (PConfig &cfg)
| Get the value of the PConfig to the sub-field.
virtual void | SaveToConfig (PConfig &cfg) const
| Set the value of the sub-field into the PConfig.
virtual PBoolean | Validated (const PString &newVal, PStringStream &msg) const
| Validate the new field value before `SetValue()` is called.

## Protected Attributes

int | low
int | high
int | value
int | initialValue
PString | units

## Constructor & Destructor Documentation

PHTTPIntegerField::PHTTPIntegerField | ( | const char * | name,
|  | int | low,
|  | int | high,
|  | int | initVal = `0`,
|  | const char * | units = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPIntegerField::PHTTPIntegerField | ( | const char * | name,
|  | const char * | title,
|  | int | low,
|  | int | high,
|  | int | initVal = `0`,
|  | const char * | units = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual void PHTTPIntegerField::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Parameters:

  html | HTML to receive the field info.

Implements PHTTPField.

virtual PString PHTTPIntegerField::GetValue | ( | PBoolean | dflt = `false` | ) | const`[virtual]`

Get the string value of the field.

Returns:
  String for field value.

Implements PHTTPField.

virtual void PHTTPIntegerField::LoadFromConfig | ( | PConfig & | cfg | ) | `[virtual]`

Get the value of the PConfig to the sub-field.

If the field is not composite then it always sets the value as for the non-indexed version.

Parameters:

  cfg | Configuration for value transfer.

Reimplemented from PHTTPField.

virtual PHTTPField* PHTTPIntegerField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Implements PHTTPField.

virtual void PHTTPIntegerField::SaveToConfig | ( | PConfig & | cfg | ) | const`[virtual]`

Set the value of the sub-field into the PConfig.

If the field is not composite then it always sets the value as for the non-indexed version.

Parameters:

  cfg | Configuration for value transfer.

Reimplemented from PHTTPField.

virtual void PHTTPIntegerField::SetValue | ( | const PString & | newVal | ) | `[virtual]`

Set the value of the field.

Implements PHTTPField.

virtual PBoolean PHTTPIntegerField::Validated | ( | const PString & | newVal,
|  | PStringStream & | msg |
| ) |  |  | const`[virtual]`

Validate the new field value before `SetValue()` is called.

Returns:
  PBoolean if the new field value is OK.

Reimplemented from PHTTPField.

## Member Data Documentation

int PHTTPIntegerField::high `[protected]`

int PHTTPIntegerField::initialValue `[protected]`

int PHTTPIntegerField::low `[protected]`

PString PHTTPIntegerField::units `[protected]`

int PHTTPIntegerField::value `[protected]`

The documentation for this class was generated from the following file:

- httpform.h